<?xml version="1.0" encoding="utf-8"?>
<configuration>
  <startup>
    <supportedRuntime version="v4.0" sku=".NETFramework,Version=v4.5.2" />
  </startup>
  <appSettings>
    <!--0正式 1测试-->
    <add key="IsDebug" value="0" />
    <!--参数是否加密 0不加密 1加密-->
    <add key="IsParameterEncryption" value="0" />
    <!--版本号-->
    <add key="VersionCode" value="123" />
    <add key="VersionName" value="3.9.6" />
    <!--皮肤样式 0白 1蓝 2黑色 -->
    <add key="SkinStyle" value="0" />
    <!--是否输出视频记录日志：0否-->
    <add key="OutputVideoLog" value="0" />
    <!--是否输出其他测试日志-->
    <add key="IsOutputInfoLog" value="1" />
    <!--文件存放路径  路径\帐户名\讲解名称_x.MP4-->
    <add key="VideoSavePath" value="D:\星火微课" />
    <!--视频格式 1、MP4 2、FlV 3、AVI-->
    <add key="VideoType" value="1" />
    <!--图片压缩质量 0最差 100最佳-->
    <add key="ImageCompressionLevel" value="70" />
    <!--用户名-->
    <add key="userName" value="" />
    <!--记住密码-->
    <add key="isRemind" value="" />
    <!--是否为校外 1是 -->
    <add key="IsOutsideSchool" value="1" />
    <!--API请求地址-->
    <add key="APIRequestAddress" value="https://schoolapi.xhkjedu.com" />
    <!--文件平台请求地址-->
    <add key="FileRequestAddress" value="https://schoolfile.xhkjedu.com" />
    <!--展示文件服务器请求地址-->
    <add key="SchoolfileRequestAddress" value="https://schoolstatic.xhkjedu.com" />
    <!--认证请求地址-->
    <add key="CertapiRequestAddress" value="https://scapi.xhkjedu.com" />
    <!--摄像头位置 1.右上 2.左上 3.右下 4.左下-->
    <add key="CameraPosition" value="1" />
    <!--上传每片大小 Mb-->
    <add key="UploadSliceLen" value="1" />
    <!--是否隐藏录屏工具栏 1 隐藏 0不隐藏-->
    <add key="IsHideSRTool" value="1" />
    <add key="ClientSettingsProvider.ServiceUri" value="" />
  </appSettings>
  <system.web>
    <membership defaultProvider="ClientAuthenticationMembershipProvider">
      <providers>
        <add name="ClientAuthenticationMembershipProvider" type="System.Web.ClientServices.Providers.ClientFormsAuthenticationMembershipProvider, System.Web.Extensions, Version=4.0.0.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35" serviceUri="" />
      </providers>
    </membership>
    <roleManager defaultProvider="ClientRoleProvider" enabled="true">
      <providers>
        <add name="ClientRoleProvider" type="System.Web.ClientServices.Providers.ClientRoleProvider, System.Web.Extensions, Version=4.0.0.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35" serviceUri="" cacheTimeout="86400" />
      </providers>
    </roleManager>
  </system.web>
  <runtime>
    <assemblyBinding xmlns="urn:schemas-microsoft-com:asm.v1">
      <dependentAssembly>
        <assemblyIdentity name="itextsharp" publicKeyToken="8354ae6d2174ddca" culture="neutral" />
        <bindingRedirect oldVersion="0.0.0.0-5.5.13.2" newVersion="5.5.13.2" />
      </dependentAssembly>
    </assemblyBinding>
  </runtime>
</configuration>
